javax.jcr.util

## Class TraversingItemVisitor.Default

- java.lang.Object
- - javax.jcr.util.TraversingItemVisitor
  - - javax.jcr.util.TraversingItemVisitor.Default

All Implemented Interfaces:
  ItemVisitor

Enclosing class:
  TraversingItemVisitor

    public static class TraversingItemVisitor.Default
    extends TraversingItemVisitor

Convenience class providing default implementations of the abstract methods of `TraversingItemVisitor`.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.jcr.util.TraversingItemVisitor

`TraversingItemVisitor.Default`

### Constructor Summary

Constructors
Constructor and Description
`Default()`
`Default(boolean breadthFirst)`
`Default(boolean breadthFirst, int maxLevel)`

### Method Summary

### Methods inherited from class javax.jcr.util.TraversingItemVisitor

`visit, visit`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Default

    public Default()

See Also:
  `TraversingItemVisitor.TraversingItemVisitor()`

#### Default

    public Default(boolean breadthFirst)

See Also:
  `TraversingItemVisitor.TraversingItemVisitor()`

#### Default

    public Default(boolean breadthFirst,
                   int maxLevel)

See Also:
  `TraversingItemVisitor.TraversingItemVisitor(boolean, int)`

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.